import { Query, QueryTask } from "./artUtil";
import { formatterMillisecond } from "./utils/date";

class SynergyAudit {
  constructor(params = {}) {
    this.id = params.id;
    this.orgId = params.org_id;
    this.dataType = params.data_type;
    this.dataId = params.data_id;
    this.dataName = params.data_name;
    this.status = params.status;
    this.createTime = params.create_time;
    this.createBy = params.create_by;
    this.updateTime = params.updata_time;
    this.updateBy = params.update_by;
    this.remark = params.remark;
    this.createByName = params.create_by_name;
    this.updateByName = params.update_by_name;
  }

  get createTimeFormat() {
    return formatterMillisecond(this.createTime);
  }
  get updateTimeFormat() {
    return formatterMillisecond(this.updateTime);
  }
}

export default SynergyAudit;
